﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Xml.Linq;

namespace MockLinq.Tests
{
    [TestFixture]
    public class FeedGetterTests
    {
        [Test]
        public void GetXDocument_GivenUrl_ReturnsPopulatedXDocument()
        {
            IFeedGetter getter = new FeedGetter();
            XDocument doc = getter.GetXDocument(TestHelper.url);
            Assert.IsNotNull(doc);
        }

        [Test]
        public void StubFeedGetter_GetXDocument_GivenUrl_ReturnsPopulatedXDoc()
        {
            IFeedGetter getter = new StubFeedGetter();
            XDocument doc = getter.GetXDocument(TestHelper.url);
            Assert.IsNotNull(doc);
        }
    }


}
